
QGIS Application - Bug report #13855

Multipoint asJSON is like linestring and not curvePolygon

2015-11-19 08:09 AM - René-Luc ReLuc

Status: Closed

Priority: Normal

Assignee: René-Luc ReLuc

Category: Geometry

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21878

Description

The exportToGeoJSON method for Multipoint returns the geometry coordinates like a curvePolygon coordinates instead of a linestring

coordinates.

To fixed it just remove the extra '[' and ']'.

Associated revisions

Revision 00ea9683 - 2015-11-20 11:01 AM - René-Luc ReLuc

[BUGFIX] Multipoint asJSON

Fixes #13855

Multipoint asJSON made MultiPoint as Multilinestring with only 1 point by linestring.

This bugfix adds tests.

Revision a860af5e - 2015-11-20 11:05 AM - René-Luc ReLuc

[BUGFIX] Multipoint asJSON

Fixes #13855

Multipoint asJSON made MultiPoint as Multilinestring with only 1 point by linestring.

This bugfix adds tests.

Revision 8d313723 - 2015-11-20 11:12 AM - René-Luc ReLuc

[BUGFIX] Multipoint asJSON

Fixes #13855

Multipoint asJSON made MultiPoint as Multilinestring with only 1 point by linestring.

This bugfix adds tests.

Conflicts:

    src/core/geometry/qgsmultipointv2.cpp

    tests/src/core/testqgsgeometry.cpp
History

#1 - 2015-11-19 08:56 AM - René-Luc ReLuc

- Assignee set to René-Luc ReLuc

#2 - 2015-11-20 02:02 AM - René-Luc ReLuc

- Status changed from Open to Closed

Fixed in changeset commit:"00ea968347d40912ffa2a8954f298c015c664d29".
